Bug 26251 - Remove unused routines from svc/split_callnumbers
Summary: Remove unused routines from svc/split_callnumbers
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-19 11:44 UTC by Marcel de Rooy
Modified: 2020-09-10 03:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26251: Remove unused routines from svc/split_callnumbers (3.62 KB, patch)
2020-08-19 11:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26251: Remove unused routines from svc/split_callnumbers (3.60 KB, patch)
2020-08-19 13:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26251: Remove unused routines from svc/split_callnumbers (3.63 KB, patch)
2020-08-19 13:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-08-19 11:44:52 UTC
Do not copy and paste code that you do not use?
Comment 1 Marcel de Rooy 2020-08-19 11:48:24 UTC
Created attachment 108589 [details] [review]
Bug 26251: Remove unused routines from svc/split_callnumbers

This is just a copy and paste from svc/localization

Test plan:
Read the code.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2020-08-19 11:50:53 UTC
Jonathan, please have a look at the code you introduced?
Comment 3 Jonathan Druart 2020-08-19 12:13:40 UTC
Oops, thanks Marcel.
There is a use of from_json however, we should not remove the use statement.
Comment 4 Marcel de Rooy 2020-08-19 13:04:06 UTC
Created attachment 108624 [details] [review]
Bug 26251: Remove unused routines from svc/split_callnumbers

This is just a copy and paste from svc/localization

Test plan:
Read the code.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2020-08-19 13:04:53 UTC
(In reply to Jonathan Druart from comment #3)
> There is a use of from_json however, we should not remove the use statement.

Ah. No warn from qa tools.. Fixed
Comment 6 Jonathan Druart 2020-08-19 13:24:00 UTC
Created attachment 108631 [details] [review]
Bug 26251: Remove unused routines from svc/split_callnumbers

This is just a copy and paste from svc/localization

Test plan:
Read the code.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2020-08-19 13:24:24 UTC
Trivial, skipping QA.
Comment 8 Jonathan Druart 2020-08-20 10:34:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-09-04 16:19:38 UTC
backported to 20.05.x for 20.05.04
Comment 10 Aleisha Amohia 2020-09-10 03:52:24 UTC
enhancement, not backported to 19.11.x